LINUX.ORG.RU

В день двадцатилетия GIMP представлен релиз 2.8.16

 


1

2

Впервые GIMP был анонсирован 21 ноября 1995. Первый публичный релиз под номером 0.54 был представлен в феврале 1996, релиз 1.0 — в июне 1998. С историей проекта (на английском) можно ознакомиться тут и тут.

Релиз GIMP 2.8.16 является корректирующим и не содержит новых функций. Из основных улучшений можно отметить:

  • оптимизирован процесс записи в формат XCF;
  • исправлена загрузка файлов PSD с группами слоёв;
  • добавлена поддержка групп слоёв в файлах OpenRaster;
  • плагин Gfig адаптирован для работы с новым поведением изменения размера кистей;
  • решены проблемы, связанные со сборкой на OS X.

Официальный анонс

>>> Подробности о новой версии

Ответ на: комментарий от AP

Выше есть ссылка на PPA со сборками гимпа.

Это не убунтовский репозиторий, к тому же там явно указано, что мне не следует использовать эти пакеты: «These packages were built of the development branch of the GIMP. They may be very unstable, and as such should not be used in production.»

anonymous ()
Ответ на: комментарий от AP

Т.е. я правильно понимаю, что вы не можете порекомендовать ни один дистрибутив в котором GIMP поддерживает 16-ти битный цвет? Я запутался - вы же утверждали выше, что GIMP поддерживает 16 бит уже более трёх лет, а приводите ссылки только на какие-то сторонние файлопомойки, в которых GIMP не поддерживает даже сам себя.

anonymous ()
Ответ на: комментарий от anonymous

Мне не особенно интересно разбираться, троллишь ты (похоже, что да) или серьёзно всё это пишешь, поэтому объясню совсем по-простому, но последний раз.

Код, добавляющий возможность работать в режиме 16бит на канал и переходить из одного режима в другой, был добавлен в GIMP три с половиной года назад. Вот один из главных коммитов в Git на эту тему:

https://git.gnome.org/browse/gimp/commit/?id=b4580e74e679977c5e654f8a456b57fd...

Дата: 2012-04-25

Эта функция с момента появления в публичном репозитории Git доступна абсолютно любому вне зависимости от того, входит ли она в состав какого-то релиза гимпа, входящего в какой-то дистрибутив линукса.

Желающий 16 или 32 бита на канал в гимпе прямо сейчас может собрать GIMP из Git master самостоятельно или, при наличии у него убунты, воспользоваться готовой сборкой в PPA по ссылке выше. Эту ссылку мы обычно даём тем, кто прямо очень-очень хочет 16бит и прочие плюшки из Git master, готов к тому, что это не релиз, и отвечает за свои действия. Жалоб я что-то не припоминаю.

Желающий того же, но в выпущенной, пусть и формально нестабильной версии, может немного подождать релиза 2.9.2 и посмотреть, кто этот релиз включит в свой репозиторий.

Желающий использовать эту фичу только в софте, на котором нашлёпнуто «формально стабильный релиз», может подождать выпуска версии 2.10.

У желающего буквоедствовать и выпендриваться тоже есть выбор, но я его озвучивать не буду.

AP ★★★★★ ()
Ответ на: комментарий от AP

Мне кажется, что утверждать о наличии 16-битного цвета в GIMP'е в то время как он всё ещё находится в разработке и сами разработчики не считают его готовым для конечного пользователя не совсем корректно. Я бы сказал совсем некорректно. Это как позвонишь в магазин, спросишь: «у вас двутавр 60го профиля есть?» - а тебе там ответят: «ну конечно же, уже три с половиной года как есть, приезжайте забирать». В то время как этот двутавр из земли ещё в форме руды даже не выкопан.

Мне кажется вам должно быть стыдно за то, что вы дезинформируете сообщество.

anonymous ()
Ответ на: комментарий от anonymous

Мне тоже должно быть стыдно, что я открываю и редактирую в гимпе 16-битные файлы, а не трындю на лоре как тяжела жизнь анона?

hrum ★★★ ()
Ответ на: комментарий от hrum

Тебе-то с чего? Ты же, я надеюсь, не бегаешь по форумам с утверждениями что чёрное - это уже 3.5 года как на самом деле белое?

anonymous ()
Ответ на: комментарий от anonymous

16-битного цвета в GIMP'е в то время как он всё ещё находится в разработке

Уже давно не находится.

и сами разработчики не считают его готовым для конечного пользователя

Отсутствие релиза 2.10 на текущий момент никак не связано с 16 битами.

Ты лучше спрашивай, если чего-то наверняка не знаешь. Я отвечу, мне несложно.

AP ★★★★★ ()
Ответ на: Re: GTK 3 + windows от anonymous

GIMP 2.8.10 под Win7 - запустил гимп, включил русскую раскладку, нажал CTRL+O - открылась панель выбора файла.

Попробуйте, пожалуйста:
- запустить gimp
- включить русскую раскладку (!)
- создать новый рисунок
- попробовать воспользоваться горячими клавишами (R, E, N, Shift+R и т.п.)

Harliff ★★★★★ ()
Последнее исправление: Harliff (всего исправлений: 1)
Ответ на: комментарий от Harliff

Завтра попробую. У меня венда не всегда под рукой. Кстати, ГИМП там довольно старой версии - для рисования прямоугольников и стрелочек достаточно любой старой версии, а больше ни для чего он всё равно не годится.

anonymous ()
Ответ на: комментарий от Harliff

- запустить gimp

- включить русскую раскладку (!)

Ну, это понятно :)

- создать новый рисунок

STRL+'n', Enter -> создался новый рисунок

- попробовать воспользоваться горячими клавишами (R, E, N, Shift+R и т.п.)

Хм, не работает. Что любопытно, после того как переключился на английскую раскладку - кнопки тоже не заработали.

anonymous ()
Ответ на: комментарий от JOKER

Ну и зачем оно в GIMP?

Зачем в софте для работы с графикой возможность писать скрипты на Пайтоне? Ты это серьёзно?

AP ★★★★★ ()
Ответ на: комментарий от JOKER

Зачем этот плагин в официальной поставке?

А в чём, собственно, проблема?

Ещё бы Lua и Ruby прикрутили.

Есть в GEGL.

AP ★★★★★ ()
Ответ на: комментарий от JOKER

Тянет за собой кучу питоновских пакетов.

Кучу — это сколько?

AP ★★★★★ ()
Ответ на: комментарий от Odalist

АпЯть ты, пАбрейся и АвУ смени, задрот.

anonymous ()
Ответ на: комментарий от anonymous

Что любопытно, после того как переключился на английскую раскладку - кнопки тоже не заработали.

Именно так. Но есть и обратный положительный момент: если файл создан, когда включена английская раскладка, то при редактировании можно переключаться на русскую - хоткеи будут работать.

В других программах, использующих GTK2, наблюдается такая-же проблема.

Надеюсь, в GTK3 это исправят.

Harliff ★★★★★ ()
Ответ на: комментарий от anonymous

Они китайцев что ли заставляют GTK писать?

Это проблемы всех тулкитов вообще. Тот же Qt с хоткеями до сих пор не разобрался. Что поделать, программы и библиотеки пишутся в основном под англоязычными локалями и латинскими раскладками, о существовании русских букв там просто не в курсе.

Проще приучить себя при использовании программы переключаться со всяких местечковых ru_RU, uk_UA, be_BY на стандартный и широкоиспользуемый en_US, чем ждать, когда пофиксят эти проблемы.

EXL ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.